Bug 112181 - sendmail newaliases segmentation fault at boot
sendmail newaliases segmentation fault at boot
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-12-15 14:41 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-15 05:15:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2003-12-15 14:41:52 EST
Description of problem:
During boot a segmentation fault was reported from newaliases

Version-Release number of selected component (if applicable):

How reproducible:
Haven't been able to reproduce it.

Steps to Reproduce:
1. Boot
Actual results:
Starting sendmail: /etc/rc5.d/S80sendmail: line 116:   841
Segmentation fault
   /usr/bin/newaliases >/dev/null 2>&1
                                                           [  OK  ]

Expected results:
Starting sendmail:                                         [  OK  ]

Additional info:
Comment 1 Thomas Woerner 2004-01-15 05:15:39 EST
I can not reproduce this.
Comment 2 Kasper Dupont 2004-03-05 04:13:41 EST
I managed to get a core dump from a segfaulting newaliases command.


The core dump was produced by copying /usr/sbin/sendmail.sendmail to
/root/bin/newaliases, removing suid bit from the copy, and finaly
executing the command "while /root/bin/newaliases ; do true ; done".
Comment 3 Kasper Dupont 2004-03-20 08:58:24 EST
This is a duplicate of bug #113830

Note You need to log in before you can comment on or make changes to this bug.